{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":203,"path":"api-reference/cllent-mobile-api-reference/FetchConfigAndroidAPI.md","title":"FetchConfiguration class - Android","bundle":null,"doc_type":null,"release":"australia","body":"\n# FetchConfiguration class- Android\n\nThe FetchConfiguration class provides the ability to define the configuration for fetching records from the associatedServiceNow table.\n\nThis class only contains a single function \\(constructor\\), [FetchConfiguration\\(\\)](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/cllent-mobile-api-reference/FetchConfigAndroidAPI.md).\n\n|Name|Type|Description|\n|----|----|-----------|\n|filter|[Filter](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/cllent-mobile-api-reference/FilterAndroidAPI.md)|Query to use to filter the return results.|\n|limit|Integer|Number of records per page/response to return.|\n|queryParams|QueryParams|Iterable structure that contains name-value pairs of request query parameters.|\n|readConfiguration|[FieldReadConfiguration](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/cllent-mobile-api-reference/FieldReadConfigAndroidAPI.md)|Configuration for the fields to return in the response.|\n\n**Parent Topic:**[Mobile SDK - Android](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/cllent-mobile-api-reference/MobileSDKAndroidAPI.md)\n\n## FetchConfiguration - FetchConfiguration\\(filter: Filter? = null, limit: Int? = null, readConfiguration: FieldReadConfiguration? = null\\)\n\nEnables you to define the records and fields to return from the associated ServiceNow table.\n\n<table id=\"table_bjv_mls_4pb\" class=\"parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nType\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nfilter\n\n</td><td>\n\n[Filter](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/cllent-mobile-api-reference/FilterAndroidAPI.md)\n\n</td><td>\n\nOptional. Query to use to filter the records that are returned from the table. For example: `active=true^short_descriptionLIKEbroken`Default: null - Return all records.\n\n</td></tr><tr><td>\n\nlimit\n\n</td><td>\n\nInteger\n\n</td><td>\n\nOptional. Number of records to return per page/response.Default: null - Return the maximum allowed by the ServiceNow REST API.\n\n</td></tr><tr><td>\n\nreadConfiguration\n\n</td><td>\n\n[FieldReadConfiguration](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/cllent-mobile-api-reference/FieldReadConfigAndroidAPI.md)\n\n</td><td>\n\nOptional. Configuration of the fields returned in the response.Default: null - Return all fields.\n\n</td></tr></tbody>\n</table>The following code example shows how to call this function.\n\n```\nnowTableService.records(\"incident\", FetchConfiguration( \n  filter = Filter(\"active=true\"), \n  limit = 10, \n  readConfiguration = FieldReadConfiguration( \n    includeFields = listOf(\"sys_id\", \"short_description\") \n  ) \n))\n```\n\n"}}